Subject: bug#23924: [PATCH] Only check for AppDefined events in OS X 10.10 (bug#23924)

From: Alan Third <[email-masked]>
Date: Wed, 20 Jul 2016 20:31:54 +0100

On Wed, Jul 20, 2016 at 11:35:33AM -0700, Bob Halley wrote:
> I have a concern about this patch now, as this morning my emacs,
> running with it, simply froze and was unresponsive to any input.
> This sounds like the description of 18993.

I guess it’s back to the drawing board. :(

> I didn't have any trouble when I made emacs just always send an
> appdefined event instead of trying to figure out whether it might
> have one sent already. Is this known to be bad somehow?

Well, it seems to me that it could delay processing of input events in
certain circumstances. It maybe wouldn’t be a big deal, but I don’t
know for certain.
-- 
Alan Third